Subject: Re: [ANNOUNCEMENT] Updated: bash-2.05-4
From: Frank-Michael Moser <[email-masked]>
To: Cygwin Users <[email-masked]>
Date: Thu, 03 May 2001 19:41:52 +0200

This I read in the news file of the bash2.05-3 release.

c.  `complete' and `compgen' now take a `-o value' option, 
which controls some of the aspects of that compspec.  
Valid values are:

 default - perform bash default completion if programmable
           completion produces no matches
 dirnames - perform directory name completion if programmable
            completion produces no matches
 filenames - tell readline that the compspec produces filenames,
             so it can do things like append slashes to
             directory names and suppress trailing spaces

Probably these changes could cause my problem. Mayby the effect 
only occurs under some circumstances. 

Beside this I use the complete-builtin in my .bashrc, too:

  complete -df -W \
    "add admin annotate checkout commit diff \
     edit editors export history import init \
     log login rdiff release remove rtag \
     status tag unedit update watch)" cvs
  complete -A helptopic help
  complete -c which
  complete -fc .

If you are interested in evaluating this issue I would like to help
you by giving needed information to you.

Otherwise I will wait and hope, that the problem goes away with
version 2.xy-z.

Frank-Michael.

Earnie Boyd wrote:
> 
> Corinna Vinschen wrote:
> >
> > On Thu, May 03, 2001 at 05:56:33PM +0200, Frank-Michael Moser wrote:
> > > The problem described in thread "bash 2.05-3: completion"
> > > resists, in bash-2.05-4, too: completion only shows *.exe
> > > and builtins.
> >
> > I'm pretty sure it's a user error. I have just tried to
> > use bash's completion to complete my script called `kssh'
> > by typing ks<TAB> and it worked as expected, both, with
> > -3 and -4.
> >
> 
> Thanks for confirming this Corinna.  Perhaps Frank-Michael has a problem
> with the ~/.inputrc file?
> 
> Earnie.
> 
> _________________________________________________________
> Do You Yahoo!?
> Get your free @yahoo.com address at http://mail.yahoo.com
> 
> --
> Want to unsubscribe from this list?
> Check out: http://cygwin.com/ml/#unsubscribe-simple

-- 
------------------------------------------------------------
DECODON GmbH                        phone: +49(0)3834 515230
W.-Rathenau-Str. 49a                  fax: +49(0)3834 515239
17489 Greifswald                    email: [email-masked]
Germany                               web:   www.decodon.com
------------------------------------------------------------

--
Want to unsubscribe from this list?
Check out: http://cygwin.com/ml/#unsubscribe-simple